WasiError - Crystal 1.8.1

# enum WasiError

##
Defined in:

wasi_error.cr

##
Enum Members

SUCCESS = `0_u16`
TOOBIG = `1_u16`
ACCES = `2_u16`
ADDRINUSE = `3_u16`
ADDRNOTAVAIL = `4_u16`
AFNOSUPPORT = `5_u16`
AGAIN = `6_u16`
ALREADY = `7_u16`
BADF = `8_u16`
BADMSG = `9_u16`
BUSY = `10_u16`
CANCELED = `11_u16`
CHILD = `12_u16`
CONNABORTED = `13_u16`
CONNREFUSED = `14_u16`
CONNRESET = `15_u16`
DEADLK = `16_u16`
DESTADDRREQ = `17_u16`
DOM = `18_u16`
DQUOT = `19_u16`
EXIST = `20_u16`
FAULT = `21_u16`
FBIG = `22_u16`
HOSTUNREACH = `23_u16`
IDRM = `24_u16`
ILSEQ = `25_u16`
INPROGRESS = `26_u16`
INTR = `27_u16`
INVAL = `28_u16`
IO = `29_u16`
ISCONN = `30_u16`
ISDIR = `31_u16`
LOOP = `32_u16`
MFILE = `33_u16`
MLINK = `34_u16`
MSGSIZE = `35_u16`
MULTIHOP = `36_u16`
NAMETOOLONG = `37_u16`
NETDOWN = `38_u16`
NETRESET = `39_u16`
NETUNREACH = `40_u16`
NFILE = `41_u16`
NOBUFS = `42_u16`
NODEV = `43_u16`
NOENT = `44_u16`
NOEXEC = `45_u16`
NOLCK = `46_u16`
NOLINK = `47_u16`
NOMEM = `48_u16`
NOMSG = `49_u16`
NOPROTOOPT = `50_u16`
NOSPC = `51_u16`
NOSYS = `52_u16`
NOTCONN = `53_u16`
NOTDIR = `54_u16`
NOTEMPTY = `55_u16`
NOTRECOVERABLE = `56_u16`
NOTSOCK = `57_u16`
NOTSUP = `58_u16`
NOTTY = `59_u16`
NXIO = `60_u16`
OVERFLOW = `61_u16`
OWNERDEAD = `62_u16`
PERM = `63_u16`
PIPE = `64_u16`
PROTO = `65_u16`
PROTONOSUPPORT = `66_u16`
PROTOTYPE = `67_u16`
RANGE = `68_u16`
ROFS = `69_u16`
SPIPE = `70_u16`
SRCH = `71_u16`
STALE = `72_u16`
TIMEDOUT = `73_u16`
TXTBSY = `74_u16`
XDEV = `75_u16`
NOTCAPABLE = `76_u16`

##
Instance Method Summary

- #acces?
- #addrinuse?
- #addrnotavail?
- #afnosupport?
- #again?
- #already?
- #badf?
- #badmsg?
- #busy?
- #canceled?
- #child?
- #connaborted?
- #connrefused?
- #connreset?
- #deadlk?
- #destaddrreq?
- #dom?
- #dquot?
- #exist?
- #fault?
- #fbig?
- #hostunreach?
- #idrm?
- #ilseq?
- #inprogress?
- #intr?
- #inval?
- #io?
- #isconn?
- #isdir?
- #loop?
- #message : String

  Returns the system error message associated with this error code.

- #mfile?
- #mlink?
- #msgsize?
- #multihop?
- #nametoolong?
- #netdown?
- #netreset?
- #netunreach?
- #nfile?
- #nobufs?
- #nodev?
- #noent?
- #noexec?
- #nolck?
- #nolink?
- #nomem?
- #nomsg?
- #noprotoopt?
- #nospc?
- #nosys?
- #notcapable?
- #notconn?
- #notdir?
- #notempty?
- #notrecoverable?
- #notsock?
- #notsup?
- #notty?
- #nxio?
- #overflow?
- #ownerdead?
- #perm?
- #pipe?
- #proto?
- #protonosupport?
- #prototype?
- #range?
- #rofs?
- #spipe?
- #srch?
- #stale?
- #success?
- #timedout?
- #to_errno : Errno

  Transforms this `WasiError` value to the equivalent `Errno` value.

- #toobig?
- #txtbsy?
- #xdev?

### Instance methods inherited from struct `Enum`

&(other : self) : self &, +(other : Int) : self +, -(other : Int) : self -, <=>(other : self) <=>, ==(other : self)
==(other) ==, ^(other : self) : self ^, |(other : self) : self |, ~ : self ~, clone clone, each(& : self -> ) each, hash(hasher) hash, includes?(other : self) : Bool includes?, inspect(io : IO) : Nil inspect, to_f32 : Float32 to_f32, to_f32! : Float32 to_f32!, to_f64 : Float64 to_f64, to_f64! : Float64 to_f64!, to_i : Int32 to_i, to_i16 : Int16 to_i16, to_i16! : Int16 to_i16!, to_i32 : Int32 to_i32, to_i32! : Int32 to_i32!, to_i64 : Int64 to_i64, to_i64! : Int64 to_i64!, to_i8 : Int8 to_i8, to_i8! : Int8 to_i8!, to_json(json : JSON::Builder) to_json, to_s(io : IO) : Nil
to_s : String to_s, to_u16 : UInt16 to_u16, to_u16! : UInt16 to_u16!, to_u32 : UInt32 to_u32, to_u32! : UInt32 to_u32!, to_u64 : UInt64 to_u64, to_u64! : UInt64 to_u64!, to_u8 : UInt8 to_u8, to_u8! : UInt8 to_u8!, to_yaml(yaml : YAML::Nodes::Builder) to_yaml, value : Int value

### Constructor methods inherited from struct `Enum`

from_value(value : Int) : self from_value, new(ctx : YAML::ParseContext, node : YAML::Nodes::Node)
new(value : self)
new(pull : JSON::PullParser) new, parse(string : String) : self parse

### Class methods inherited from struct `Enum`

each(& : self -> ) each, from_value?(value : Int) : self | Nil from_value?, names : Array(String) names, parse?(string : String) : self | Nil parse?, valid?(value : self) : Bool valid?, values : Array(self) values

### Instance methods inherited from module `Comparable(Enum)`

<(other : T) : Bool <, <=(other : T) <=, <=>(other : T) <=>, ==(other : T) ==, >(other : T) : Bool >, >=(other : T) >=, clamp(min, max)
clamp(range : Range) clamp

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

! : Bool !, !=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, as(type : Class) as, as?(type : Class) as?, class class, dup dup, hash(hasher)
hash hash, in?(collection : Object) : Bool
in?(*values : Object) : Bool in?, inspect(io : IO) : Nil
inspect : String inspect, is_a?(type : Class) : Bool is_a?, itself itself, nil? : Bool nil?, not_nil!(message)
not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, responds_to?(name : Symbol) : Bool responds_to?, tap(&) tap, to_json(io : IO) : Nil
to_json : String to_json, to_pretty_json(indent : String = " ") : String
to_pretty_json(io : IO, indent : String = " ") : Nil to_pretty_json, to_s(io : IO) : Nil
to_s : String to_s, to_yaml(io : IO) : Nil
to_yaml : String to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Instance Method Detail

def acces? #
def addrinuse? #
def addrnotavail? #
def afnosupport? #
def again? #
def already? #
def badf? #
def badmsg? #
def busy? #
def canceled? #
def child? #
def connaborted? #
def connrefused? #
def connreset? #
def deadlk? #
def destaddrreq? #
def dom? #
def dquot? #
def exist? #
def fault? #
def fbig? #
def hostunreach? #
def idrm? #
def ilseq? #
def inprogress? #
def intr? #
def inval? #
def io? #
def isconn? #
def isdir? #
def loop? #
def message : String #

Returns the system error message associated with this error code.

def mfile? #
def mlink? #
def msgsize? #
def multihop? #
def nametoolong? #
def netdown? #
def netreset? #
def netunreach? #
def nfile? #
def nobufs? #
def nodev? #
def noent? #
def noexec? #
def nolck? #
def nolink? #
def nomem? #
def nomsg? #
def noprotoopt? #
def nospc? #
def nosys? #
def notcapable? #
def notconn? #
def notdir? #
def notempty? #
def notrecoverable? #
def notsock? #
def notsup? #
def notty? #
def nxio? #
def overflow? #
def ownerdead? #
def perm? #
def pipe? #
def proto? #
def protonosupport? #
def prototype? #
def range? #
def rofs? #
def spipe? #
def srch? #
def stale? #
def success? #
def timedout? #
def to_errno : Errno #

Transforms this `WasiError` value to the equivalent `Errno` value.

This is only defined for some values. If no transformation is defined for a specific value, the default result is `Errno::EINVAL`.

def toobig? #
def txtbsy? #
def xdev? #